import QtQuick 2.0

import "../ui/utils.js" as Utils
import "../ui"
import "./WeatherCanada.js" as WeatherCanada

Item {
    id: test

    width: 400
    height: 100

    function logDebug(label) {
        console.log(label)
        return function() {
            for (var i = 0; i < arguments.length; i++) {
                var val = arguments[i];
                console.log(label + '.response', i, typeof val === 'object' ? JSON.stringify(val, null, '\t') : val);
            }
        }
        console.log.apply(console, arguments);
    }


    Component.onCompleted: {
        var url = 'https://weather.gc.ca/forecast/hourly/on-5_metric_e.html';
        Utils.request(url, function(err, data, req) {
            var weatherData = WeatherCanada.parseHtml(data);
            meteogram.parseWeatherForecast(null, weatherData);

            console.log(JSON.stringify(weatherData, null, '\t'));
        })

    }
    

    ForecastGraph {
        id: meteogram
        anchors.fill: parent
        cfg_meteogram_hours: 24 * 3
        xAxisScale: 1
        xAxisLabelEvery: 3
    }
}
