import QtQuick 2.0
import QtQuick.Layouts 1.1
import org.kde.plasma.core 2.0 as PlasmaCore
import org.kde.plasma.components 2.0 as PlasmaComponents
import org.kde.plasma.extras 2.0 as PlasmaExtras
import org.kde.kquickcontrolsaddons 2.0
import org.kde.plasma.private.digitalclock 1.0
import org.kde.kquickcontrolsaddons 2.0
import org.kde.plasma.calendar 2.0 as PlasmaCalendar


Item {
	id: plasmaCalendarEvents

	//--- Holidays Plugin
	// Data files: /usr/share/kf5/libkholidays/plan2/
	// Qml Config File: /usr/lib/x86_64-linux-gnu/qt5/plugins/plasmacalendarplugins/holidays/HolidaysConfig.qml
	// You can import "import org.kde.kholidays 1.0 as KHolidays"
	// KHolidays.HolidayRegionsModel only lists the name, region, description.

	PlasmaCalendar.Calendar {
        id: calendarBackend

        days: 7
        weeks: 6
        firstDayOfWeek: Qt.locale().firstDayOfWeek
        today: new Date(2017, 6, 1)

        Component.onCompleted: {
            daysModel.setPluginsManager(PlasmaCalendar.EventPluginsManager);
        }
    }

	// Component.onCompleted: {
	// 	// PlasmaCalendar.EventPluginsManager.enabledPlugins = []
	// 	// PlasmaCalendar.EventPluginsManager.enabledPlugins = ['/usr/lib/x86_64-linux-gnu/qt5/plugins/plasmacalendarplugins/holidaysevents.so']
	// 	// PlasmaCalendar.EventPluginsManager.enabledPlugins = []
	// 	PlasmaCalendar.EventPluginsManager.enabledPlugins = ['/usr/lib/x86_64-linux-gnu/qt5/plugins/plasmacalendarplugins/holidaysevents.so']
	// 	var m_pluginsManager = PlasmaCalendar.EventPluginsManager
	// 	console.log('m_pluginsManager', m_pluginsManager)
	// 	console.log('m_pluginsManager.model', m_pluginsManager.model)

	// 	m_pluginsManager.dataReady.connect(pluginDataReady)
	// }

	// function pluginDataReady(data) { // const QMultiHash<QDate, CalendarEvents::EventData> &data
	// 	console.log('onDataReady', data)
	// 	var date = new Date(2017, 6, 1)
	// 	var eventList = calendarBackend.daysModel.eventsForDate(date)
	// 	console.log('eventsForDate', date, eventList, eventList.length)
	// 	if (eventList.length == 0) {
	// 		if (PlasmaCalendar.EventPluginsManager.enabledPlugins.length == 0) {
	// 			PlasmaCalendar.EventPluginsManager.enabledPlugins = ['/usr/lib/x86_64-linux-gnu/qt5/plugins/plasmacalendarplugins/holidaysevents.so']
	// 		} else {
	// 			console.log('unset plugin')
	// 			PlasmaCalendar.EventPluginsManager.enabledPlugins = []
	// 			PlasmaCalendar.EventPluginsManager.enabledPlugins = []
	// 		}
	// 	}
	// }

	Connections {
		target: calendarBackend.daysModel
		onAgendaUpdated: {
			console.log('daysModel.onAgendaUpdated()', updatedDate)
		}
	}

	// ListView {
	// 	anchors.fill: parent
	// 	model: calendarBackend.daysModel
	// 	delegate: Text {
	// 		text: model.dayNumber
	// 	}
	// }

	// ListView {
	// 	anchors.fill: parent
	// 	model: PlasmaCalendar.EventPluginsManager.model
	// 	delegate: Text {
	// 		text: model.display
	// 	}
	// }



	KHolidays.Holiday
}
